## networking-arista 2023.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

alembic>=1.6.5 # MIT
neutron-lib>=3.4.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.config>=9.0.0 # Apache-2.0
oslo.log>=4.5.0 # Apache-2.0
oslo.service>=2.8.0 # Apache-2.0
oslo.utils>=4.8.0 # Apache-2.0
requests>=2.18.0 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy>=1.4.23 # MIT

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
networking-arista (2023.1.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 15:26:37 +0000

networking-arista (2023.1.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 14:22:30 -0400

networking-arista (2022.2.1+git2023061415.00b9c6a9-0ubuntu2) mantic; urgency=medium

  * d/p/skip-tests.patch: Restored. This is still needed for builds that don't
    run as root. lpci builds currently run as root so don't have an issue.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Jun 2023 10:09:58 -0400

networking-arista (2022.2.1+git2023061415.00b9c6a9-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:12:40 -0400

=== debian/control ===
Source: networking-arista
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.6.5),
 python3-coverage (>= 4.0),
 python3-hacking,
 python3-mock (>= 3.0.0),
 python3-neutron,
 python3-neutron-lib (>= 3.4.0),
 python3-oslo.config (>= 1:9.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.utils (>= 4.8.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-arista
Homepage: https://opendev.org/x/networking-arista

Package: python3-networking-arista
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.6.5),
 python3-neutron,
 python3-neutron-lib (>= 3.4.0),
 python3-oslo.config (>= 1:9.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.utils (>= 4.8.0),
 python3-pbr (>= 4.0.0),
 python3-requests (>= 2.18.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.23),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 iputils-arping,
Breaks:
 python-networking-arista,
Replaces:
 python-networking-arista,
Description: OpenStack virtual network service - Arista plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Arista plugin.

## networking-arista 2024.1.0+git2025011509.c6bc408

=== debian/changelog ===
networking-arista (2024.1.0+git2025011509.c6bc408-0ubuntu1) plucky; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 22 Jan 2025 08:14:20 +0000

## networking-arista 2024.1.0+git2025071714.b0c8ac2

=== requirements.txt ===
--- 
+++ 
@@ -14,6 +14,10 @@
 six>=1.10.0 # MIT
 SQLAlchemy>=1.4.23 # MIT
 
+# These repos are installed from git in OpenStack CI if the job
+# configures them as required-projects
+neutron # Apache-2.0
+
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released
 # in neutron-lib. It also implies the project will stay current with TC

=== debian/changelog ===
networking-arista (2024.1.0+git2025071714.b0c8ac2-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/skip-tests.patch: Refresh. 

 -- Myles Penner <myles.penner@canonical.com>  Thu, 17 Jul 2025 15:46:32 -0700

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  python3-alembic (>= 1.6.5),
- python3-coverage (>= 4.0),
  python3-hacking,
  python3-mock (>= 3.0.0),
  python3-neutron,
@@ -29,7 +28,6 @@
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
  python3-requests (>= 2.18.0),
- python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.4.23),
  python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),

=== debian/rules ===
#!/usr/bin/make -f

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	dh_clean
	rm -rf build

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_install:
	install -D -m 644 etc/ml2_conf_arista.ini $(CURDIR)/debian/python3-networking-arista/etc/neutron/plugins/ml2/ml2_conf_arista.ini
	dh_install
	dh_missing --fail-missing -X/etc/neutron/plugins/ml2/ml2_conf_arista.ini
